<div class="sgcontainer">
	
    <?php include_once('headerMenu.php') ;?>
	
     <div id="avanak-content" class="sgrow">
        <div class="setting-page">
			<h2 class="hndle"><span class="yekan">تبدیل متن به آوا</span></h2>
			<div class="inside">
				<div class="main">
					<form id="SpeechForm" class="rtl">
						<div class="form-field term-slug-wrap clearfix">
							<label for="title">عنوان فایل صوتی</label>
							<input name="title" id="title" value="" type="text" class="rtl">
						</div>

							<div class="form-field term-slug-wrap clearfix">
							<label for="persist">ماندگار</label>
							<div class="form-field ">
								<input name="persist" id="persist" type="checkbox" class="rtl">
								<small>با زدن این تیک این صدا در لیست صوت های شما قرار میگیرد . درصورت نزدن این تیک صدا ذخیره نمی شود و فقط برای ارسال سریع قابل استفاده است</small>
							</div>
						</div>

						<div class="form-field term-slug-wrap clearfix">
							<label for="file">گوینده</label>
							<br>
							<select name="Speaker" style="font:12px yekan;width: 95%">
								<option value="male">مرد</option>
								<option value="female">زن</option>
							</select>
						</div>
						<div class="form-field term-slug-wrap clearfix">
							<label for="title">متن درخواستی</label>
							<textarea name="text" id="text" class="rtl fw" style="resize:none"></textarea>
						</div>
						<br>
						<div class="form-field term-slug-wrap clearfix">
							<p class="submit">
								<span onclick="AvanakSpeech()" class="button-primary yekan text-normal pull-left">ذخیره</span>
								<span onclick="AvanakSpeechQSend()" class="button-primary yekan text-normal pull-left">ذخیره و ارسال سریع</span>
								<span onclick="AvanakSpeechPlay()" class="button-primary yekan text-normal pull-left">پخش پیام</span>
							</p>
						</div>
						<input type="hidden" name="action" value="avanak_callcound_speech">
					</form>
				</div>
			</div>
		</div>
    </div>
</div>
<div id="dialog"></div>
<script>
    function AvanakSpeech() {
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: $("#SpeechForm").serialize(),
            success: function (d) {
                if (d == -1) {
                    cm('خطا', 'اعتبارسنجی');
                } else if (d == -2) {
                    cm('خطا', 'اشکال در آپلود');
                } else if (d == -3) {
                    cm('خطا', 'کمبود اعتبار');
                } else if (d == -4) {
                    cm('خطا', 'عدم اتصال به TTS');
                } else if (d == -5) {
                    cm('خطا', 'تعداد کاراکتر بیش از 1000 است');
                } else {
                    cm('ثبت موفق', 'پیام شما با موفقیت در سرور ذخیره شد');
                }
                return d;
            }
        });
    }
    function AvanakSpeechQSend(i) {
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: $("#SpeechForm").serialize(),
            dataType: 'json',
            success: function (d) {
                if (d == -1) {
                    cm('خطا', 'اعتبارسنجی');
                } else if (d == -2) {
                    cm('خطا', 'اشکال در آپلود');
                } else if (d == -3) {
                    cm('خطا', 'کمبود اعتبار');
                } else if (d == -4) {
                    cm('خطا', 'عدم اتصال به TTS');
                } else if (d == -5) {
                    cm('خطا', 'تعداد کاراکتر بیش از 1000 است');
                } else {
                    quickSendModal(d[1]);
                }
            }
        });
    }
    function AvanakSpeechPlay(i) {
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: $("#SpeechForm").serialize(),
            dataType: 'json',
            success: function (d) {
                if (d == -1) {
                    cm('خطا', 'اعتبارسنجی');
                } else if (d == -2) {
                    cm('خطا', 'اشکال در آپلود');
                } else if (d == -3) {
                    cm('خطا', 'کمبود اعتبار');
                } else if (d == -4) {
                    cm('خطا', 'عدم اتصال به TTS');
                } else if (d == -5) {
                    cm('خطا', 'تعداد کاراکتر بیش از 1000 است');
                } else {
                    $("#dialog").html('<audio controls="" preload="none"><source src="' + d[0] + d[1] + '" type="audio/mpeg">مرورگر شما از پخش صدا پشتیبانی نمی کند</audio>');
                    $("#dialog").dialog({
                        resizable: false,
                        height: "auto",
                        width: "auto",
                        title: 'پخش فایل صوتی',
                        dialogClass: "alert",
                        modal: true,
                        buttons: [{
                                text: "بستن",
                                click: function () {
                                    $(this).dialog("close");
                                    $.each($('audio'), function () {
                                        this.pause();
                                    });
                                }
                            }]
                    });
                    $("#dialog").closest('.ui-dialog').find('.ui-dialog-titlebar-close').hide();
                    $.each($('audio'), function () {
                        this.play();
                    });
                }
            }
        });
    }
    function quickSendModal(i) {
        var a = '<form id="quicksendform">\n\
                    <table class="table table-condensed">\n\
                        <tbody>\n\
                            <tr>\n\
                                <td>\n\
                                    <label for="username">شماره</label>\n\
                                    <input name="number" id="number" size="80" type="text" class="ltr">\n\
                                </td>\n\
                                <td>\n\
                                    <label for="username">سرور</label>\n\
                                    <select name="server">\n\
                                        <option value="1">مشهد</option>\n\
                                        <option value="15">مازندران</option>\n\
                                        <option value="20">تهران شمال</option>\n\
                                        <option value="25">تهران جنوب</option>\n\
                                        <option value="30">تهران شرق</option>\n\
                                        <option value="35">تهران غرب</option>\n\
                                        <option value="70">خراسان شمالی</option>\n\
                                    </select>\n\
                                </td>\n\
                                <td>\n\
                                    <span onclick="quicksend()" class="button-primary yekan text-normal pull-left">ارسال</span>\n\
                                </td>\n\
                            </tr>\n\
                        </tbody>\n\
                    </table>\n\
                    <input type="hidden" name="action" value="avanak_callcound_quicksend">\n\
                    <input type="hidden" name="message_id" value="' + i + '">\n\
                </form>';
        cm('ارسال سریع', a);
    }
    function quicksend(i) {
        if (checkMobileNumber($("#number").val())) {
            $.ajax({
                type: "POST",
                url: "/wp-admin/admin-ajax.php",
                data: $("#quicksendform").serialize(),
                success: function (d) {
                    if (d == 'ok') {
                        $("#dialog").dialog('close');
                        cm('نتیجه ارسال سریع', 'پیام شما با موفقیت ارسال شد');
                    } else {
                        cm('نتیجه ارسال سریع', d);
                    }
                }
            });
        } else {
            cm('خطا', 'لطفا شماره موبایل را به صورت صحیح وارد کنید');
        }
    }
</script>